Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03102 Graphics Minor Always Apr 10, 2009, 15:52 May 1, 2010, 18:25
Tester Stefan Lindberg View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS
Status [?] Resolved Driver finalizr.cpp
Version 0.130u3 Fixed in Version 0.137u4 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 03102: finalizr: The "lives" statusbar is shown at bottom of the screen in MAME and on the PCB it's on the top
Description The "lives" (ship) statusbar is on the PCB shown at the top... se the screenshot comparison with MAME.
This can be seen on the Finalizer flyer as well.
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems finalizr
Attached Files
png file icon finalizer_ship.png (848,585 bytes) Apr 13, 2009, 02:08
Relationships
There are no relationship linked to this issue.
Notes
10
User avatar
No.04176
Tafoid
Administrator
Apr 10, 2009, 16:19
edited on: Apr 10, 2009, 16:20
I can't quickly find a copy of the flyer. Can you attach this as well, Stefan? Also, does a dump of your PCB match a set in MAME? If so, which one?
User avatar
No.04177
Stefan Lindberg
Senior Tester
Apr 10, 2009, 16:29
edited on: Apr 10, 2009, 16:30
I saw a tiny flyer pic at MAWS :-) http://maws.mameworld.info/maws/img/flyers/finalizr.png

I have checked the three program roms on my PCB and it matched the ones from MAME.
User avatar
No.04178
Tafoid
Administrator
Apr 10, 2009, 16:49
Thanks for the update.
User avatar
No.04179
Kale
Developer
Apr 10, 2009, 19:33
It's an issue with the window effect, MAME currently does that in a fancier way than it should be...
I'm more concerned about the colors though...for example the score numbers seems white on the original pcb but they are pink on MAME, I wonder if it is a monitor issue or what...
User avatar
No.04181
Fortuna
Tester
Apr 10, 2009, 20:10
possible is a older version?
User avatar
No.04182
Stefan Lindberg
Senior Tester
Apr 10, 2009, 20:26
edited on: Apr 10, 2009, 20:27
About the colours... the text is white on the PCB.

The red enemy sprites seen in the PCB pic is caused by a loose custom chip (005885)... that is not correct colours (i have fixed it on the PCB now BTW) but do not use the pic i posted earlier for sprite colours as it's a PCB fault.
User avatar
No.04194
Stefan Lindberg
Senior Tester
Apr 12, 2009, 18:53
Should i do an seperate report about the purple text bug?
User avatar
No.04196
Kale
Developer
Apr 12, 2009, 22:38
Yes.
User avatar
No.04197
Fujix
Administrator
Apr 13, 2009, 02:12
And I feel the original font is bolder than MAME's...
User avatar
No.04199
Stefan Lindberg
Senior Tester
Apr 13, 2009, 09:02
The photo from the PCB is out of focus at the top, making the text look bolder :-)